Loading...
Searching...
No Matches
APR Array Compatibility Helper Macros

These macros are provided by APR itself from version 1.3. More...

## Macros

#define | APR_ARRAY_IDX(ary, i, type)
| index into an apr_array_header_t
#define | APR_ARRAY_PUSH(ary, type)
| easier array-pushing syntax

## Detailed Description

These macros are provided by APR itself from version 1.3.

Definitions are provided here for when using older versions of APR.

## Macro Definition Documentation

## APR_ARRAY_IDX

#define APR_ARRAY_IDX | ( |  | ary,
|  |  | i,
|  |  | type )

Value:
(((type *)(ary)->elts)[i])

index into an apr_array_header_t

Definition at line 240 of file svn_types.h.

## APR_ARRAY_PUSH

#define APR_ARRAY_PUSH | ( |  | ary,
|  |  | type )

Value:
(*((type *)apr_array_push(ary)))

easier array-pushing syntax

Definition at line 245 of file svn_types.h.